2015-04-14  0.8.0   "Technical Preview"
2015-04-16  0.8.1   Added reordering of presentation criteria, 
                    Validation of selection criteria, 
                    Display count of matching titles, 
                    SRP and Purchase Price usable for selection/presentation,
                    Saving text output as file,
                    Preserves position in list when editing presentation criteria.
2015-04-17  0.9.0   Added output as datagrid,
                    Changed type Date to DateTime,
                    Made radiobutton "General" selected when opening Selection or Presentation window.
2015-04-18  0.9.1   Fixed a problem where you could get a decimal conversion error if your
                    national settings in Windows did not have period configured as decimal separator.
2015-04-19  0.9.2   "Is Missing" now finds blank string fields.
                    Combobox item heading for "Is Missing" changed to "Is Missing or Blank".
                    Clicking "RUN!" in the menu automatically switched to the Result tab.
                    Comparison "Is Missing" removed from DateTime fields. Check for equal to Jan 1 0001 (in your date format).
                    Changed default extension for saving output to ".csv" instead of ".txt".
                    Added "Save and Run" which saves to temp folder and opens in associated program.
                    Displays the About window (with link to download page) if a new version is available.
2015-04-19  0.9.3   "Load presentation sets" crashed if you use it the first time the program is run. Fixed.
                    Loading the xmlfile crashed if locks were not exported. Fixed.
2015-04-20  0.9.4   Just some cosmetic changes, like removing grid lines in the datagrid and adding alternate row colors.
2015-04-21  0.10.0  Added selectable values to Country of Origin, Locality, Genres, Media Types, Video Standard,
                    ID Type, Audio Content, Audio Format, Audio Channels and Subtitles when comparison is Equal or NotEqual.
                    Editing a selection or presentation criteria did not bring up the correct values. Fixed.
                    MenuItem added (Help->Documentation) to read the documentation (QueryProfile.pdf)
                    if it exists in the application folder. Opens with default PDF reader.
2015-04-22  0.10.1  Added selectable values to Case Type. Moved "Is equal to" and "Is not equal to" first in comparisons.
2015-04-23  0.10.2  Fixed several bugs concerning multi value fields.
                    Fixed several bugs regarding negative selections (Is missing, Is not equal to, Does not contain).
2015-04-24  0.11.0  Added fields: Number of Discs, Number of Tags, Number of Audiotracks, Number of Subtitles,
                    Number of Crew and Number of Cast.
                    Added Settings window with Max # Cast, Max # Crew and Separator. Separator combobox removed from main window.
                    Changed the Presentation Sets menu to Tools, with Presentation Sets as a submenu and Settings as a subitem.
                    Corrected Regions to string instead of integer.
                    Multiple objects in a field now returned with comma as separator.
                    Comma removed as selectable field separator (due to the above).
                    Added ability to delete a presentation set.
                    Show name of loaded xml file in main window title.
                    "Abort processing" removed from menu. Deemed more confusing than helpful.
                    Fixed a bug that could cause the Selection window to freeze.
                    Minor tweak on remove buttons.
2015-04-27  0.11.1  Handles a WPF bug that prevents external programs (like Autohotkey) from copying data to clipboard.
                    Datagrid set to readonly.
2015-04-27  0.11.2  Changed selection and presentation windows to toolwindow.
                    Fixed a problem where the program would crash if the aspect ratio field contains illegal characters.
                    Made selection and presentation windows open CenterOwner also when editing.
2015-04-28  1.0.0   Added "Variant #" under Profile.
                    Taken program out of Beta status.
                    Fixed a problem with negative searches of multiple objects.
2015-04-28  1.0.1   Fixed a couple of bugs in value conversion for display of dates and doubles.
2015-04-29  1.1.0   Added automatic preservation of selection set between program runs.
                    Added loading, saving and deleting of selection sets, similar to presentation sets.
                    Added automatic opening of last used export file unless deselected i settings.
2015-04-30  1.2.0   Added saving of resulting ID:s as a flag set.
2015-04-30  1.2.1   Added "Has Slip Cover" under General. Added "Count as" under Personal.
                    Corrected "Digipack" to "Digipak"
2015-04-30  1.3.0   Corrected Reviews to use values corresponding to number of bars/stars.
                    Revamped groupings in presentation / selection windows.
2015-05-02  1.3.1   Selectable value for media type changed from "Blu-ray" to "BluRay".
                    Didn't read Disc ID correctly - fixed.
                    Fixed a problem with wrong buttons showing when editing a Presentation criterion.
2015-05-03  1.3.2   Added field "Notes".
2015-05-04  1.4.0   Added duplicate check.
2015-05-05  1.4.1   Added Number of Boxset Children.
2015-05-07  1.5.0   The tab with text output removed. Text output generated from content of the datagrid,
                    which means that the result of duplicate check now can be saved to file.
                    Added a setting for determining if column headers should be added as captions in
                    the first line of saved text output.
2015-05-11  1.6.0   Added Dividers.
2015-06-27  2.0.0   Added front and back scan size (obtained from image directory)
2015-06-27  2.1.0   Added a boolean field that tells if front and back are of the exact same size
                    (which would indicate that they are probably identical so back scan is actually a front scan)
2015-07-29  2.2.0   Added file watcher to notify if file changed (or auto reload).
2015-10-30  2.3.0   Added showing of front scan on right click in result.
2015-10-31  2.3.1   Image display did not work correctly if result re-sorted. Fixed.
2015-12-08  2.4.0   Added "Has Episode Dividers" and "Has Group Dividers".
                    Added "Clear selection criteria".
                    Removed the extra ID column from exported output.
2015-12-26  2.4.1   Duplicate Check caused a crash if no duplicates were found.
2016-01-12  2.5.0   Statistics added.
2016-01-12  2.5.1   Modified audio presentation in statistics.
2016-01-18  2.6.0   Made query and statistics run in background so the program does not appear to hang.
                    "Open" menu item disabled during load and run operations.
2016-01-29  2.6.1   Removed options in Settings to include (or not) actors in statistics. 
                    No longer necessary when actor statistics is done in background.
                    Corrected spelling of Martial Arts in Genres.
2016-01-31  2.7.0   Moved saved selection and presentation sets from registry to appdata for better control.
2016-02-05  2.7.1   Saves windows position. Added workaround for non-display of grid in some setups.
2016-02-09  2.7.2   Added another workaround for windows not displaying. Removed an unnecessary scrollviewer.
2016-02-21  2.8.0   Added search function for fields in selection and presentation.
2016-03-14  2.8.1   Moved selection functionality into a user control in order to have better code separation 
                    in case I decide to implement extended selection. This is an internal change ONLY.
2016-03-19  2.9.0   Shift+rightclick shows back cover scan, maximized.
2016-07-01 2.10.0   New UI look.
2016-07-19 2.11.0   Renamed "Is Missing or Blank" to just "Is Missing".
                    Added "Is Not Missing" to string comparisons.
                    Added "Is Missing" and "Is Not Missing" to date comparisons.
                    Restyled toolwindows, and made a minor change to main window style.
                    Changed to my standard About Window.
2016-08-23 2.12.0   No longer includes child profiles that are not downloaded.
2016-08-24 2.13.0   Double-clicking an entry in the result will select the profile in DVD Profiler.
2016-08-25 2.13.1   Fixed a small problem that possibly could cause Profiler to hang.
2016-09-06 2.13.2   Double-clicking after the result grid was re-sorted selected wrong profile.
2016-09-09 2.14.0   Audio content statistics now show both number of tracks and number of profiles.
2016-09-06 2.14.1   Released previous with wrong version number.
2016-09-15 2.15.0   Added "Use prev. result" to run again using only previous runs result as input.
2016-09-17 3.0.0    Right click on "Use prev. results" allows locking it so it is not reset after a run.
                    Boxset special added. Can select parents based on child properties, and vice versa.
2016-09-26 3.1.0    Added setting to specify if boxset special refers top nearest parent/child or top/bottom parent/child
                    when there are several levels of children.
2016-10-08 3.2.0    Added command line options.
2016-10-08 3.2.1    Fixed an anomaly in behavior when continuing to use ProfilerQuery after running from command line.
2016-10-22 3.3.0    Diary added.
2016-10-22 3.4.0    Added user selection to the diary.
2016-10-22 3.4.1    Fixed a misspelling in the genres selection; Science Finction -> Science-Fiction
2016-11-24 3.4.2    Just noticed than an earlier change caused the value field in the selection window to be left enabled when a boolean selection was chosen. Fixed.
2016-11-27 3.5.0    Added double click in Statistics to narrow down result.
2016-11-28 3.5.1    Fixed selection of Country of Origin.
                    Handles searching release year from statistics by adding from-date and to-date selection.
2016-12-10 3.6.0    Added Purchase Price and SRP to the statistics.
2016-12-13 3.6.1    Fixed search on Purchase Price and SRP when double clicking in statistics.
2016-12-14 3.7.0    Added SRP currency check.
2016-12-27 3.7.1    Added default presentation set if run without any presentation criteria.
2016-12-30 3.8.0    Added button to load default presentation set.
2017-01-01 3.8.1    Fixed a problem with presentation of Watched Date when watched multiple times. Now displays last watched date.
2017-03-02 3.9.0    Modified to use the new features in Profiler 3.9.5
                    Blanks out multiple instance result fields with only commas.
                    Improved DVD Profiler lookup when double-clicking a row in the result. Now works even when Profiler minimized.
2017-04-06 3.9.3    Added Tools -> Advanced settings for adjusting timing for sending keystrokes to Profiler.
                    Modified code for restoring minimized Profiler so it restores to previous size.
2017-04-26 3.10.0   CountryOfOrigin would only show first country in result. Fixed.
                    Added translatability. No translations available yet, though.
2017-05-03 3.10.1   Fixed a misspelling.
2017-05-04 3.10.2   Fixed a couple of buttons that didn't resize to accommodate their text.
2017-05-17 3.11.0   Internal
2017-05-22 3.12.0   Added Edit and AutoIt command capability on double click. Added On Top. Added a lot of translatability.
2017-06-01 3.13.0   Added region selectability to SRP Check. Fixed missed translatability for SRP Check.
2017-06-05 3.14.0   Added setting to present multiple values on separate lines in the result, instead of comma separated.
                    Fixed a bug with window settings if main window was maximized on startup.
                    Open main window as normal even if it was minimized on last close.
                    Fixed incorrect content and tooltip for Restore button when initial window was maximized.
                    Made main window border into a blue/green gradient, just for show.
                    AutoIt command is no longer restored from previous run (for security reasons).
                    KeyCatcher 1.0.1: Fix a tabbing problem.
                    KeyCatcher 1.0.1: Enhanced tab catching.
2017-08-17 3.15.0   Added Showcase (experimental).
2017-08-18 3.15.1   Fixed so showcase is sorted same as result (even after re-sorting).
                    Fixed issue with width of titles that has no cover scan in showcase.
2017-08-20 3.16.0   Added tooltip to showcase titles. Added green highlighting of unwatched titles.
                    Added media banners to selection/presentation.
2017-08-27 3.17.0   If you switched from showcase to another tab and back again, it would start showing from the first match again.
                    Context menu added to showcase images; Show Front Image, Show Back Image. Displays large image.
                    Context menu in result changed to same as in showcase.
2017-10-03 3.18.0   Added "Save Flag Set to clipboard" to the File menu.
2017-11-01 3.19.0   Added two crew fields - Role and Custom Role.
2018-01-15 3.19.3   Fixed a problem in Duplicate Check.
2018-01-17 3.19.4   Fixed so flags can be set even after duplicate check.
2018-01-18 3.19.5   Quoted all items in csv export. Added comma to available separators.
2018-04-06 3.19.6   Fixed a memory leak when reloading the collection. Included KeyCatcher which got lost somewhere along the line.
2018-04-12 3.19.7   Titles containing a pipe character (|) caused an exception. Fixed.
2018-04-24 3.20.0   Minor fix to future-proof ProfilerData.dll
                    Titles ending with a colon caused an exception. Fixed.
                    Added possibility to "lock" individual selection criteria so "Clear Criteria" does not remove them.
2018-05-01 3.21.0   Added  "Number of Media Types" to identify combo sets.
2018-05-03 3.21.1   Fixed search for audio formats from statistics.
                    Fixed error in counting boxset parent & children in statistics.
2018-05-05 3.22.0   Added "Last Edited" and "Profile Timestamp" to the selectable criteria.
                    Changed to a more discrete update information (menu item).
2018-05-23 3.23.0   Added copy title (settings).
2018-06-13 3.24.0   Added "First occurrence only" in context menu for Presentation items (experimental).
                    Added Locality to Statistics.
2018-06-24 3.25.0   Added new tab "Misc. queries"
2018-06-26 3.26.0   Birthyear changed from integer to string. Multiple birthyears could not be displayed.
                    When checking runtime in Misc. Queries, children's runtime will be reported as 
                    0 if all children have a runtime of 0, as -1 if some children have a runtime of 0.
                    Checkbox added for autofill of mismatched boxset data.
2018-07-02 3.26.1   Context sensitive help added.
2018-07-05 3.27.0   Added check for all bold or all italic overviews in Misc. Queries.
2018-07-18 3.28.0   Loads selections for COOs and Localities from COOs.xod and localities.xod instead of
                    using hardcoded values (if these files are found).
2018-07-22 3.28.1   Fixed a bug in initializing Settings on the first run.
2018-09-06 3.29.0   Highlighting a row and pressing Delete now removes the row.
                    Fixed a possible problem with clipboard.
2018-09-21 3.30.0   Added HDR10 and Dolby Vision to Formats.
2018-09-30 3.31.0   Allow file drag/drop from Explorer.
2018-10-07 3.32.0   Added "Export collection" to Tools menu.
                    Added setting for export command file in Settings.
2018-12-08 3.33.0   Made compatible with ProfilerData 1.13.
                    Added "Go to parent" in the context menu in the result grid.
2019-01-31 3.34.0   Added "IsCombo" for combo sets, and "HasBonusFeature" for titles that contain a bonus feature.
                    Profiles that are "IsCombo" or "HasBonusFeature" is no longer flagged as boxset parents.
2019-02-01 3.34.1   Profiles with bonus features were mistakenly still flagged as boxset parents. Fixed.
2019-02-15 3.34.2   Just changed to updated ProfilerData.dll ver 1.15.2.
2019-03-07 3.34.3   Changed Image Path in Settings to use GsyDialogs.FolderDialog.
2019-03-26 3.34.4   Redesigned settings window.
                    Fixed a minor problem within boxset special (when parent not in the current selection).
2019-05-18 3.35.0   Added "Save result profiles to xml"
2019-05-21 3.36.0   Added "View contribution notes" to context menu in result.
                    Added "Search IMDb for title" to context menu in result.
                    Fixed a minor bug when you clicked the result tab outside the grid.
2019-07-04 3.37.0   Text fields can be marked as "Enable content wrapping" in context menu of the Presentation fields.
                    "Save to XML" no longer includes profiles that has been removed from the result with the Delete key.
2019-08-16  3.37.1  Fixed a character set problem in ProfilerData.dll.
2019-08-21  3.37.2  "Save to XML" was saved with the wrong character set (Doh!). Fixed.
2019-11-26  3.38.0  Actors and Directors only counted once per profile (rather than once per credit). Mainly for TV shows.
                    Top 100 Directors added to Statistics.
                    Released with ProfilerData 2.0 for faster loading of large XML export files.
2019-11-28  3.39.0  Added "Check sort titles" to Misc. Queries.
                    Fixed so initial directory at File/Open is always the same as the last opened export file.
2019-11-30  3.39.1  Fixed a bug when you double clicked an entry in Statistics.
2019-12-01  3.40.0  Added Number of Genres, Number of MediaCompanies, Number of Missing Boxset Children, Number of Regions, 
                    Number of Studios, Number of Times Watched, Number of CoO:s, Number of Directors,
                    Wishlist Priority, Part of Owned Collection.
                    "Los" added to articles in Misc. Queries / Check sort titles.
                    About window now also shows version number for ProfilerData.dll.
                    Number of cast and crew no longer includes dividers (ProfilerData 2.1.3)
                    Remembers last directory path for loading export file.
                    Appending of articles in Titles in Result window, selectable in Settings.
                    Restored custom window design which got lost somewhere around 3.35.
2020-01-06  3.40.1  Fixed a bug in ProfilerData when crew was excluded from the export. ProfilerData 2.1.4.
2020-01-07  3.40.2  Fixed so that CustomMediaTypes works. Won't show in dropdown though. ProfilerData 2.2.0.
2020-01-28  3.41.0  Fixed a problem with presentation of data with format Double (prices, aspect ratio etc.) on systems that use decimal comma.
                    Added "Watched Note". ProfilerData 2.3.0.
2020-02-02  3.41.1  Fixed a minor display problem.
2020-02-11  3.41.2  Fixed a problem with IsNotEqual/DoesNotContain/IsMissing for empty arrays.
2020-02-18  3.42.0  Fixed a problem using boxset special Select Parent based on Child properties. It would crash
                    if the boxset had child profiles that were not downloaded.
                    Main selection criteria (And/Or, BoxSetSpecial) save on exit and restored on next run.
                    Made sure that current Selection and Presentation was saved if computer restarted/shut down.
                    If PQ shut down by Windows restart/shutdown, it now automatically opens and runs the last query
                    when Windows is started again. It's like it was never gone ...
2020-02-21  3.42.1  Fixed a problem when the directory of the last accessed export file no longer exists.
2020-02-29  3.43.0  Added option to include thumbnail in result.
2020-03-01  3.44.0  Changed how cover image shows when opened from result. Cover image windows are no longer modal.
                    Cover images are updated when a new row is selected in the result. Size and position are saved
                    for these cover windows. Mouse click on cover window no longer closes it.
                    Added info window (patterned after the collection hint options in Profiler).
                    Added Boxset conformity check under Misc. Queries.
2020-03-20  3.45.0  Made it possible to reorder columns by dragging them in the result.
                    Fixed a problem with displaying Custom Role for crew.
                    Added column "ChildOlder" to conformity check in Misc. Queries to indicate that one or more children
                    has a release date that precedes the parents release date (and so might be part of an older boxset also).
                    Added "Find collection #" in Misc. Queries.
2020-03-27  3.46.0  Added custom sort.
2020-04-28  4.0.0   Changed to Syncfusion datagrid in Result. Offers filtering, grouping, searching and printing.
2020-07-02  4.0.1   Minor bug fix: Uncredited, Voice and Puppeteer should be boolean, not string.
2020-10-01  4.0.2   The new grid did not handle multi-line rows. Fixed.
2020-10-03  4.1.0   "View Contribution Notes" opens notes in ContribLookup if it is running, else in default browser.
2020-10-17  4.1.1   "Goto parent profile" in the context menu did not work correctly with the new datagrid. Fixed.
2020-12-07  4.2.0   New vastly improved Showcase.
2020-12-12  4.3.0   Added info window in Showcase.
2020-12-13  4.4.0   Fixed so cast and crew windows in Showcase shows dividers. (Includes updated version of ProfilerData.dll)
2020-12-21  4.4.1   Number of missing boxset children always returned zero. Fixed. (Includes updated version of ProfilerData.dll)
                    Fixed misspelling " Number AddressOf missing boxset children" to " Number of missing boxset children".
                    Row height better adjusted for multiline data.
                    In the result, program adjusted the row height for data that contains CRLF (Carriage Return + Line Feed),
                    but not for just CR or LF alone. Fixed.
2020-12-23  4.4.2   "Watched Date" changed to "Last watched" for clarity.
                    Last Watched returned 0001-01-01 if watched more than once. Fixed.
                    Microsoft seems to have changed something in how FileSystemWatcher works. When the open export file
                    was changed or deleted, the event was raised more than once. ProfilerQuery has been changed to try to
                    take that into account.
                    New set of movie quotes when you click File/Open.
2021-03-08  4.5.0   Integrated with HTTPJolie.
                    Discs added to Statistics.
2021-04-24  4.5.1   Fixed a bug that could prevent ProfilerQuery from using HTTPJolie.
2021-06-05  4.5.2   Fixed so that coverimages in DVD Profiler don't get locked if open in ProfilerQuery.
2021-07-22  4.5.3   A missing DLL caused printing to fail.
2021-09-24  4.5.4   "Export to file" lost the first column unless "Show thumbnails" was checked in presentation. Fixed.
                    In "Tools -> Check SRP/Region" double clicking on a row could select wrong profile. Fixed.
2021-09-26  4.6.0   Added Number of Puppeteers, Number of Voice only,  Number of Uncredited.
                    Changed window activation by title to window activation by class name in order to work regardless of translation.
                    When grouping was active, right clicking on a grouping header would cause an exception. Fixed.
                    Fixed a bug that allowed invalid selection data to be entered, causing multiple exceptions.
                    Improved error catching in the selection loop, to prevent exceptions for every profile.
2021-12-01  4.7.0   Added Front Image Height, Front Image Width, Back Image Height, Back Image Width.
2021-12-08  4.8.0   Added possibility to not measure cover height/width on load in order to speed up loading.
                    Added Abort button to abort loading.
                    Speeded up how ProfilerQuery checks for HTTPJolie.
                    Minor tweaks to the user interface.
2022-01-20  4.8.1   Combo sets that do not include the minor mediatype no longer report 1 boxset child.
                    Fixed two minor bugs.
2022-03-09  4.8.2   Fixed formatting of Gift From.
2022-03-14  4.8.3   Fix for new HTTPJolie.
                    Replaced "HTTPJolie recognized" with either a green or red image.
2022-05-30  4.9.0   Added new standard HTTPJolie settings.
2023-01-28  4.10.0  Bug fixes:
                    - Fixed a bug that could incorrectly lock the value field in selection.
                    - Context menu item "Enable content wrapping" removed. Does not work with the Syncfusion datagrid.
                    Enhancements:
                    - Added sample selection sets (Tools -> Selection sets -> Load Sample).
                    - Added PurchaseYear to selection and presentation (with ProfilerData 2.8).
                    - Progressbar shows run progress, useful for slow runs in large collections.
                    - "Copy ID" added to contextmenu in result.
                    - Logic And/Or saved with selection sets.
                    - "First occurence only" saved with presentation fields.
                    - Restores Profiler from minimized on double-click.
                    - Loading a selection set switches to Selection tab (if not already there).
                    - Loading a presentation set switches to Presentation tab (if not already there).
                    - Description of ChildOlder in "Check boxset conformity" result (Misc. Queries) added to help file.
                    - Statistics updated to show missing data.
2023-02-08  4.11.0  Bug fix:
                    - Some date/time values were incorrectly modified by time zone. (ProfilerData 2.8.2)
                    Enhancements:
                    - Found a solution for "Enable context wrapping" with the Syncfusion datagrid.
                    - Found a more accurate way to set row height for multi-row results.
2023-03-04  5.0.0   Enhancement:
                    - Introduced possibility to add selection blocks to queries.
2023-06-14  5.0.1   Bug fix:
                    - Is Missing and Is Not Missing not available for birth year because missing birth year
                    is "0" and is not considered missing. Use 'Equal to "0"' or 'Not equal to "0"'.
2023-07-03  5.0.2   Bug fix:
                    - Checking for Case Type Missing failed after the first run.
2023-09-30  5.0.5   Minor fixes. New version ProfilerData 9.0.1.
2024-05-08  5.0.6   It seems that in Windows 7 tcpClient.ConnectAsync throws an error if it cannot connect,
                    rather that just returning False as it does in later versions. Error trapping added for this.
2024-05-09  5.0.7   The previous fix did not solve the problem, so I changed the way ProfilerQuery connects
                    to HTTPJolie, and now it seems to work in Windows 7 as well.
                    Also changed so that if you change "Use HTTPJolie" in the settings, this takes effect
                    immediately without a need to restart ProfilerQuery.
2024-05-12  5.0.8   Simplified GetIpAddress function. Saves install path and installed version.
2025-03-21  5.0.9   Fixed a minot bug in export to XML.
2025-03-24  5.0.10  Recompiled with latest SyncFusion files, and for .Net Framework 4.8.
2026-03-04  5.0.11  Editing a selection criteria caused it to become impossible to remove or edit again. Fixed.
2026-03-14  5.0.12  Not all statistics counters were reset on a new run, so new values would be added to the old. Fixed.